手动升级 Confluence – 规划你的升级

1. 确定你的升级路径

使用下面的表格来确定最佳的升级路径来让你的Confluence 从当前版本升级到最新的 Confluence 版本。

你的版本 推荐升级到 Confluence 的升级路径
2.7 或者更早 升级到 2.7.4 然后升级到 3.5.17,然后按照下面的升级路径。
2.8 到 3.4 升级到 3.5.17,然后按照下面的升级路径。
3.5 升级到 5.0.3 ,然后升级到最新的 Confluence 6
4.0 到 4.3 升级到 5.10.x ,然后升级到最新的 Confluence 6
5.0 到 6.x 直接升级到最新的 Confluence 6

Confluence 是一个主要的升级版本

请确定你在对你生产环境上进行升级之前,已经阅读了 Confluence 6.0 Upgrade Notes,进行了必要的备份,进行了测试你的升级(这边测试升级不应该在生产环境上进行测试)。

2. 完成预升级检查

  1. 针对你计划升级的版本查看 Upgrade Notes 页面来了解升级的内容(和版本直接的内容)。
  2. 进入  > 基本配置(General Configuration) > 问题检查和支持工具(Troubleshooting and support tools) 来运行健康检查(Confluence 及其后续版本中可用)。
     许可证已过期?

    你的软件维护包含在你许可证有效期内,如果你的许可证已经过期了的话,你还是可以使用 Confluence 的,但是在升级之前你需要更新你的许可证。

    进入  > 基本配置(General Configuration) > 许可证明细(License Details)根据提示来更新你的许可证。

     还在使用的是嵌入式数据库?

    如果你使用的是 嵌入式数据库(测试用),你需要在升级 整合到其他的数据库(Migrating to Another Database)

    这个数据库是针对 Confluence 进行评估使用的,我们不推荐在生产环境中使用这个数据库。请参考 Embedded H2 Database 来获得更多的信息。

     数据库字符集不正确?

    数据库的字符集必须设置为 UTF+8(如果你使用的是 Oracle 数据库,那么需要设置为 AL32UTF8 )。如果你的数据库字符集不正确的话,你将没有办法升级 Confluence 到当前最新的版本。

     

  3. 进入   然后向下移动到 Confluence 升级检查(Confluence Update Check)来检查你插件的兼容性
  4. 选择你计划升级的版本然后单击 检查(Check)
     如果你有不兼容的插件…

3. 在测试环境中升级 Confluence

  1. 创建一个从当前生产环境中拷贝数据的策略。
    请参考 Create a staging environment for upgrading Confluence 页面中的内容来获得如何创建一个升级的测试环境。
  2. 请按照升级的步骤来在你的测试环境中进行升级。
  3. 在对正式服务器进行升级之前,测试任何不支持的用户自定义安装的应用,自定义配置(例如主题和布局)和反向代理服务器配置(如果你安装了的话)。

https://www.cwiki.us/display/CONF6ZH/Upgrading+Confluence+Manually

您可以在保留原文链接的情况下转载:HoneyMoose » 手动升级 Confluence – 规划你的升级

赞 (0) 打赏

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏